package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

@Deprecated
@Table("hmc_virtual_cd")
public class HmcVirtualCd {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * cd uuid
     */
    @Column("uuid")
    private String uuid;

    /**
     * cd name
     */
    @Column("cd_name")
    private String cdName;

    /**
     * cd name
     */
    @Column("mount_type")
    private String mountType;

    /**
     * cd size
     */
    @Column("cd_size")
    private Double cdSize;

    /**
     * virtual cd assign partition id
     * <p>
     * 这个id是平台的partition的id
     * <p>
     * 不是hmc端显示的partition的id
     * <p>
     */
    @Column("assign_partition_id")
    private Long assignPartitionId;
    /**
     * virtual cd assign slot id
     * <p>
     */
    @Column("assign_partition_slot")
    private Integer assignPartitionSlot;
    /**
     * virtual cd vios id
     * <p>
     * 这个id是平台的vios的id
     * <p>
     * 不是hmc端显示的vios的id 2
     */
    @Column("vios_id")
    private Long viosId;
    /**
     * virtual cd vios slot id
     * <p>
     */
    @Column("vios_slot")
    private Integer viosSlot;
    /**
     * vios name
     */
    @IgnoreAll
    private String viosName;
    /**
     * vios name
     */
    @IgnoreAll
    private String assignPartitionName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCdName() {
        return cdName;
    }

    public void setCdName(String cdName) {
        this.cdName = cdName;
    }

    public String getMountType() {
        return mountType;
    }

    public void setMountType(String mountType) {
        this.mountType = mountType;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Double getCdSize() {
        return cdSize;
    }

    public void setCdSize(Double cdSize) {
        this.cdSize = cdSize;
    }

    public Long getAssignPartitionId() {
        return assignPartitionId;
    }

    public void setAssignPartitionId(Long assignPartitionId) {
        this.assignPartitionId = assignPartitionId;
    }

    public Integer getAssignPartitionSlot() {
        return assignPartitionSlot;
    }

    public void setAssignPartitionSlot(Integer assignPartitionSlot) {
        this.assignPartitionSlot = assignPartitionSlot;
    }

    public Long getViosId() {
        return viosId;
    }

    public void setViosId(Long viosId) {
        this.viosId = viosId;
    }

    public Integer getViosSlot() {
        return viosSlot;
    }

    public void setViosSlot(Integer viosSlot) {
        this.viosSlot = viosSlot;
    }

    public String getViosName() {
        return viosName;
    }

    public void setViosName(String viosName) {
        this.viosName = viosName;
    }

    public String getAssignPartitionName() {
        return assignPartitionName;
    }

    public void setAssignPartitionName(String assignPartitionName) {
        this.assignPartitionName = assignPartitionName;
    }
}
